Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.net
Class LocalServerRequest

    java.lang.Object
      |
      +--org.omg.CORBA.LocalObject
            |
            +--org.openorb.net.AbstractServerRequest
                  |
                  +--org.openorb.net.LocalServerRequest

All Implemented Interfaces:
  IDLEntity, Object, RequestInfo, RequestInfoOperations, ResponseHandler, java.io.Serializable, ServerRequest, ServerRequestInfo, ServerRequestInfoOperations

public final class LocalServerRequest
extends AbstractServerRequest

This class represents a server request for a server that is hosted on the same ORB than the client

Version:
  $Revision: 1.1 $ $Date: 2002/07/26 08:11:16 $
Author:
  Erik Putrycz
See Also:
  Serialized Form

Fields inherited from interface org.openorb.net.ServerRequest
`OBJECT_HERE, STATE_COMPLETE, STATE_CREATED, STATE_FIND_ADAPTER, STATE_PROCESSING, STATE_QUEUED, STATE_REPLY, UNKNOWN_OBJECT`

Constructor Summary
`LocalServerRequest(ServerManager serverManager, Object tpAssc, int request_id, InputStream argument_stream, byte[] object_id, java.lang.String operation, byte sync_scope, ServiceContext[] request_service_contexts)` Constructor.

Method Summary
`OutputStream` | `getReplyStream()` Returns the ReplyStream of this request
`boolean` | `is_reply_exception()` I removed all the additional marshalling parameters for exception and I kept only the effective arguments

Methods inherited from class org.openorb.net.AbstractServerRequest
`adapter_id, adapter, adapter, add_reply_service_context, argument_stream, arguments, begin_request, channel, checkRequestTransportAssoc, client_cancel, contexts, createExceptionReply, createReply, dispatch, equals, exceptions, forward_reference_ior, forward_reference, get_reply_service_context, get_reply_service_contexts, get_request_service_context, get_server_policy, get_slot, get_transport_association, init, init, is_locate, object_id, object_key, operation_context, operation, orb, reply_status, request_id, response_expected, result, sending_exception, sending_system_exception_id, sending_system_exception, server_cancel, set_slot, state, sync_scope, target_is_a, target_most_derived_interface`

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### LocalServerRequest

    public LocalServerRequest(ServerManager serverManager,
                              Object tpAssc,
                              int request_id,
                              InputStream argument_stream,
                              byte[] object_id,
                              java.lang.String operation,
                              byte sync_scope,
                              ServiceContext[] request_service_contexts)

  Constructor.
  Parameters:
    `serverManager` - The server manager associated with this request.
    `tpAssc` - ???
    `request_id` - The request id of this request.
    `argument_stream` - the argument stream that will be given to the server
    `object_id` - The object id of this request.
    `operation` - The name of the operation to execute.
    `sync_scope` - The synchronization scope (See Messaging spec.)
    `request_service_contexts` - An array of service contexts. associated with this request.

Method Detail

### getReplyStream

    public OutputStream getReplyStream()

  Returns the ReplyStream of this request
  Returns:
    the request output stream

### is_reply_exception

    public boolean is_reply_exception()

  I removed all the additional marshalling parameters for exception and I kept only the effective arguments
  Returns:
    true if the reply of this request is an exception

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD